package org.stm.metric.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.stm.metric.entity.MetricStatReport;

import java.util.List;
import java.util.Map;

/**
 * @Description: 监测报告
 * @Author: jeecg-boot
 * @Date:   2024-01-04
 * @Version: V1.0
 */
public interface IMetricStatReportService extends IService<MetricStatReport> {
    List<Map<String,Object>> queryMetricStatByDomain(MetricStatReport metricStatReport);
    List<Map<String,Object>> queryMetricStatByMtricClass(MetricStatReport metricStatReport);
    List<Map<String,Object>> queryMetricStatDetail(MetricStatReport metricStatReport);
    Map<String,Integer[]> list2Map(List<String> codeList,List<Map<String,Object>> datas);

    Map<Integer,List<Map<String,Object>>> list2DetailData(List<String> listCode,List<Map<String,Object>> datas,int statMethod);
    Map<String,Object> list2RiskStat(List<Map<String,Object>> datas,Integer total);

    String getOverallDes(List<Map<String,Object>> datas,long currNum,long beforeNum,String durationName);
    String getOverallDesOther(Map<String,Object> overallStaData);
    String getDetailDes(List<Map<String,Object>> datas);
    String getSuggestHightRisk(List<Map<String,Object>> datas);
    List<String> getSuggestContent(List<Map<String,Object>> datas);

    String queryReportSubTitle(MetricStatReport metricStatReport);

}
